
D4Science Infrastructure - VM Creation #11771

 Please create a VM having access to prod authorization service

May 14, 2018 03:05 PM - Luca Frosini

Status: Closed Start date: May 14, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: infrastructure core services   

Infrastructure: Production Applications list and

version:

latest smart-executor

RAM: 4 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 15 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

 

Smartgears Version: latest PostgreSQL

database:

 

Application

Instructions:

default smart executor installation with

accounting-dashboard-harvester-se-plugi

n

Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu   

Description

Related issues:

Related to D4Science Infrastructure - VM Creation #11770:  Please create a VM... Rejected May 14, 2018

History

#1 - May 14, 2018 03:07 PM - Luca Frosini

- Tracker changed from Support to VM Creation

- RAM set to 2

- CPU set to 2

- DiskSpace set to 10

- Smartgears set to Yes

- Smartgears Version set to latest

- Application Instructions updated

- Smartgears scopes updated

- Applications list and version updated

- Number of VMs set to 1

#2 - May 14, 2018 03:07 PM - Luca Frosini

- Blocked by VM Creation #11770:  Please create a VM having access to dev authorization service added

#3 - May 17, 2018 10:41 AM - Luca Frosini

this VM is not required until the ticket #11770 is not closed. See such tickets for more details

#4 - May 17, 2018 04:34 PM - Luca Frosini

- Blocked by deleted (VM Creation #11770:  Please create a VM having access to dev authorization service)
#6 - May 17, 2018 04:34 PM - Luca Frosini

- Related to VM Creation #11770:  Please create a VM having access to dev authorization service added

#9 - May 17, 2018 04:37 PM - Luca Frosini

I set The VM creation blocked by the ticket tracking refactoring the smart-executor plugin #11756. You don't need to create it until the refactoring has

been completed.

The name of the plugin will be 'accounting-dashboard-harvester-se-plugin' so the name of machine could be something like accounting-harverster.

#10 - Aug 30, 2018 02:18 PM - Andrea Dell'Amico

- RAM changed from 2 to 4

- DiskSpace changed from 10 to 15

#12 - Aug 30, 2018 05:12 PM - Luca Frosini

The plugin has been refactored to support scheduling but the DB read from the portlet has been changed and maybe it is not yet stable.

Actually, the plugin export to the old DB and another procedure made by @fabio.sinibaldi@isti.cnr.it migrate data.

I added the blocking task for this (see #11760).

#13 - Sep 04, 2018 11:24 AM - Luca Frosini

The plugin refactor has been completed.

The plugin will be released with Release 4.13.0. Then we have to deploy it on a smart-executor node which requires this issues.

#14 - Sep 04, 2018 11:24 AM - Luca Frosini

Please note the plugin will be released as uber-jar

#15 - Sep 04, 2018 01:52 PM - Andrea Dell'Amico

Luca Frosini wrote:

Please note the plugin will be released as uber-jar

 Does that means that the VM should be deployed after 4.13.0 has been released?

#16 - Sep 04, 2018 02:11 PM - Luca Frosini

Andrea Dell'Amico wrote:

Does that means that the VM should be deployed after 4.13.0 has been released?

 Yes

#17 - Nov 28, 2018 01:23 PM - Andrea Dell'Amico

Can we start the activity now?

#18 - Nov 28, 2018 03:39 PM - Luca Frosini

Yes, please

#19 - Nov 29, 2018 06:38 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Hostname and Ip address are going to be accounting-harvester.d4science.org 146.48.122.7.

#20 - Nov 30, 2018 09:05 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The service has been deployed. I see no errors in the tomcat logs, can you check if it's working?

#21 - Dec 04, 2018 05:37 PM - Luca Frosini

I checked the machine and the plugin is not working properly. I'm investigating the issue.
Apart from the issue, I just recognised that we need to add a task in the playbook.

I'll let you know all the details.

#22 - Dec 04, 2018 06:38 PM - Andrea Dell'Amico

Yes please.

#23 - Dec 05, 2018 10:48 AM - Luca Frosini

The error was related to duplicated and missing dependencies causing exceptions (the error was related to wrong scope declaration in pom). I should

have fixed this.

Furthermore, we have to add a properties file (i.e. 'config.properties') in 'tomcat/webapps/smart-executor/WEB-INF/classes/'

I'm going to try to fix the playbook

#24 - Dec 05, 2018 12:48 PM - Luca Frosini

I fixed the playbook and tried to launch the playbook which stop after few steps.

./run.sh smartgears-node.yml -i inventory/hosts.production -l accounting_dashboard_harvester_se_plugin_prod

There are password protected encrypted files, we will ask for password before proceeding

Vault password: 

 [WARNING]: While constructing a mapping from /home/lucafrosini/workspace/ANSIBLE/ansible-playbooks/library/ro

les/smartgears/dm_pool_manager/tasks/main.yml, line 24, column 7, found a duplicate dict key

(file). Using last defined value only.

 [WARNING]: While constructing a mapping from /home/lucafrosini/workspace/ANSIBLE/ansible-playbooks/library/ro

les/smartgears/dm_pool_manager/tasks/main.yml, line 29, column 7, found a duplicate dict key

(file). Using last defined value only.

 [WARNING]: Could not match supplied host pattern, ignoring: smartgears_dev_nodes

 [WARNING]: Could not match supplied host pattern, ignoring: smartgears_preprod_nodes

 [WARNING]: Could not match supplied host pattern, ignoring: egi_dataminer

 [WARNING]: Could not match supplied host pattern, ignoring: egi_smartexecutor

PLAY [smartgears_nodes:smartgears_dev_nodes:smartgears_preprod_nodes:egi_dataminer:egi_smartexecutor] ********

************************************************************************************************

skipping: no hosts matched

PLAY RECAP ***************************************************************************************************

************************************************************************************************

#25 - Dec 05, 2018 03:14 PM - Andrea Dell'Amico

The correct playbook for the smart excutors is smartexecutor-services.yml. They were split some months ago, because there was too much bloat into

smartgears-node.yml.

#26 - Dec 05, 2018 03:19 PM - Luca Frosini

The playbook fail for me because I have no root access on "monitoring.research-infrastructures.eu".

It fails when the playbook tries to disable nagios alert.

#27 - Dec 05, 2018 03:22 PM - Andrea Dell'Amico

Nope, the cause must be different. The nagios-related tasks have a  ignore_errors: True entry.

#28 - Dec 05, 2018 04:23 PM - Luca Frosini

I was using an incomplete command. The right one is:

./run.sh smartexecutor-services.yml -i inventory/hosts.production -l accounting_dashboard_harvester_se_plugin_

prod -t smartgears

#29 - Dec 06, 2018 10:35 AM - Luca Frosini

- Status changed from Feedback to Closed
